Skip to content
Start here

List Endpoint Health Checks

client.diagnostics.endpointHealthchecks.list(EndpointHealthcheckListParams { account_id } params, RequestOptionsoptions?): EndpointHealthcheckListResponse { check_type, endpoint, id, name }
GET/accounts/{account_id}/diagnostics/endpoint-healthchecks

List Endpoint Health Checks.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic Transit Write
ParametersExpand Collapse
params: EndpointHealthcheckListParams { account_id }
account_id: string

Identifier

maxLength32
ReturnsExpand Collapse
EndpointHealthcheckListResponse { check_type, endpoint, id, name }
check_type: "icmp"

type of check to perform

endpoint: string

the IP address of the host to perform checks against

id?: string

UUID.

maxLength36
name?: string

Optional name associated with this check

List Endpoint Health Checks

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const endpointHealthchecks = await client.diagnostics.endpointHealthchecks.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(endpointHealthchecks.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "check_type": "icmp",
    "endpoint": "203.0.113.1",
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "name": "My Endpoint"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "check_type": "icmp",
    "endpoint": "203.0.113.1",
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "name": "My Endpoint"
  }
}